TeamTalk 5 .NET DLL: BearWare.SoundLevel Struct Reference

TeamTalk 5 .NET DLL Version 5.22A

Loading...
Searching...
No Matches
BearWare.SoundLevel Struct Reference
Sound Capture and Playback

An enum encapsulation the minimum, maximum and default sound levels for input and output sound devices. More...

## Static Public Attributes

const int | SOUND_VU_MAX = 100
| The maximum value of recorded audio.
const int | SOUND_VU_MIN = 0
| The minimum value of recorded audio.
const int | SOUND_VOLUME_MAX = 32000
| The maximum volume.
const int | SOUND_VOLUME_DEFAULT = 1000
| The default volume. Use this whenever possible since it requires the least amount of CPU usage.
const int | SOUND_VOLUME_MIN = 0
| The minimum volume.
const int | SOUND_GAIN_MAX = 32000
| The maximum gain level.
const int | SOUND_GAIN_DEFAULT = 1000
| The default gain level.
const int | SOUND_GAIN_MIN = 0
| The minimum gain level (since it's zero it means silence).

## Detailed Description

An enum encapsulation the minimum, maximum and default sound levels for input and output sound devices.

Definition at line 401 of file TeamTalk.cs.

## Member Data Documentation

## ◆ SOUND_VU_MAX

const int BearWare.SoundLevel.SOUND_VU_MAX = 100

static

The maximum value of recorded audio.

See also
  TeamTalkBase.GetSoundInputLevel
  TeamTalkBase.SetVoiceActivationLevel
  TeamTalkBase.GetVoiceActivationLevel

Definition at line 408 of file TeamTalk.cs.

## ◆ SOUND_VU_MIN

const int BearWare.SoundLevel.SOUND_VU_MIN = 0

static

The minimum value of recorded audio.

See also
  TeamTalkBase.GetSoundInputLevel
  TeamTalkBase.SetVoiceActivationLevel
  TeamTalkBase.GetVoiceActivationLevel

Definition at line 414 of file TeamTalk.cs.

## ◆ SOUND_VOLUME_MAX

const int BearWare.SoundLevel.SOUND_VOLUME_MAX = 32000

static

The maximum volume.

See also
  BearWare.TeamTalkBase.SetSoundOutputVolume
  BearWare.TeamTalkBase.GetSoundOutputVolume
  BearWare.TeamTalkBase.SetUserVolume
  SOUND_VOLUME_DEFAULT

Definition at line 422 of file TeamTalk.cs.

## ◆ SOUND_VOLUME_DEFAULT

const int BearWare.SoundLevel.SOUND_VOLUME_DEFAULT = 1000

static

The default volume. Use this whenever possible since it requires the least amount of CPU usage.

See also
  BearWare.TeamTalkBase.SetSoundOutputVolume
  BearWare.TeamTalkBase.GetSoundOutputVolume
  BearWare.TeamTalkBase.SetUserVolume

Definition at line 430 of file TeamTalk.cs.

## ◆ SOUND_VOLUME_MIN

const int BearWare.SoundLevel.SOUND_VOLUME_MIN = 0

static

The minimum volume.

See also
  BearWare.TeamTalkBase.SetSoundOutputVolume
  BearWare.TeamTalkBase.GetSoundOutputVolume
  BearWare.TeamTalkBase.SetUserVolume

Definition at line 436 of file TeamTalk.cs.

## ◆ SOUND_GAIN_MAX

const int BearWare.SoundLevel.SOUND_GAIN_MAX = 32000

static

The maximum gain level.

A gain level of 32000 gains the volume by a factor 32. A gain level of BearWare.SoundLevel.SOUND_GAIN_DEFAULT means no gain.

See also
  BearWare.TeamTalkBase.SetSoundInputGainLevel
  BearWare.TeamTalkBase.GetSoundInputGainLevel

Definition at line 445 of file TeamTalk.cs.

## ◆ SOUND_GAIN_DEFAULT

const int BearWare.SoundLevel.SOUND_GAIN_DEFAULT = 1000

static

The default gain level.

A gain level of 1000 means no gain. Check BearWare.SoundLevel.SOUND_GAIN_MAX and BearWare.SoundLevel.SOUND_GAIN_MIN to see how to increase and lower gain level.

See also
  BearWare.TeamTalkBase.SetSoundInputGainLevel
  BearWare.TeamTalkBase.GetSoundInputGainLevel

Definition at line 455 of file TeamTalk.cs.

## ◆ SOUND_GAIN_MIN

const int BearWare.SoundLevel.SOUND_GAIN_MIN = 0

static

The minimum gain level (since it's zero it means silence).

A gain level of 100 is 1/10 of the default volume.

See also
  BearWare.TeamTalkBase.SetSoundInputGainLevel
  BearWare.TeamTalkBase.GetSoundInputGainLevel

Definition at line 464 of file TeamTalk.cs.